Class Constructor

- « SolrDisMaxQuery::addUserField

- SolrDisMaxQuery::removeBigramPhraseField »

- PHP Manual
- SolrDisMaxQuery
- Class Constructor

# SolrDisMaxQuery::__construct

(No version information available, might only be in Git)

SolrDisMaxQuery::__construct — Class Constructor

### Description

public SolrDisMaxQuery::__construct(string `$q` = ?)

Class constructor initializes the object and sets the q parameter if passed

### Parameters

`q`

  Search Query (q parameter)

### Return Values

### Errors/Exceptions

Emits SolrIllegalArgumentException in case of an invalid parameter was passed.

### Examples

Example #1 SolrDisMaxQuery::__construct() example

    <?php

    $dismaxQuery = new SolrDisMaxQuery('lucene');
    echo $dismaxQuery;

    ?>

The above example will output:

    q=lucene&defType=edismax